Skip to main content
POST
/
assistants
/
v1
/
numbers
/
{provider}
Import Number
curl --request POST \
  --url https://api-prod.interactly.ai/assistants/v1/numbers/{provider} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "number": "+1234567890",
  "label": "friendly-name-1",
  "credentials": {
    "accountSid": "AC1234567890",
    "authToken": "1234567890"
  }
}
'
{
  "_id": "a12f9c88-c155-461f-9771-4d240cdc9a04",
  "teamId": "1f7b1b1b1b1b1b1b1b1b1b1b",
  "number": "+1234567890",
  "provider": {
    "name": "twilio"
  },
  "assistantId": "a12f9c88-c155-461f-9771-4d240cdc9a04",
  "inboundEnabled": true,
  "outboundEnabled": true,
  "label": "friendly-name-1"
}

Documentation Index

Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

provider
string
required

Give your provider name. Ex: twilio, Available providers: twilio

Body

application/json
number
string
required

Phone number to import. Please provide in E.164 format, Ex: +1234567890

Example:

"+1234567890"

label
string

Label for the number

Example:

"friendly-name-1"

credentials
Twilio Credentials · object

Credentials for the provider. If credentials are not provided, the default credentials from the provider credentials section will be used.

Example:
{
"accountSid": "AC1234567890",
"authToken": "1234567890"
}

Response

Successfully imported the number.

_id
string<objectId>
required

Unique identifier of the number

Example:

"a12f9c88-c155-461f-9771-4d240cdc9a04"

teamId
string<objectId>
required

This is unique identifier of the team.

Example:

"1f7b1b1b1b1b1b1b1b1b1b1b"

number
string
required

Phone number associated with the team

Example:

"+1234567890"

provider
object
required
assistantId
string

ID of the associated assistant (if any)

Example:

"a12f9c88-c155-461f-9771-4d240cdc9a04"

inboundEnabled
boolean

If true, inbound call is enabled. If false, inbound call is disabled.

Example:

true

outboundEnabled
boolean

If true, outbound call is enabled. If false, outbound call is disabled.

Example:

true

label
string

Label for the number

Example:

"friendly-name-1"